Textpattern Forum

You are not logged in. Register | Login | Help

#1 2010-02-08 21:29:50

gaup
Member
Registered: 2006-12-03
Posts: 37

Error message

What does this mean?

Deprecated: Function set_magic_quotes_runtime() is deprecated in /customers/mamasara.org/mamasara.org/httpd.www/textpattern/lib/txplib_db.php on line 14

Offline

#2 2010-02-08 22:29:25

jsoo
Developer
From: NC, USA
Registered: 2004-11-15
Posts: 1,730
Website

Re: Error message

It’s just a notice; nothing’s broken. It’ll go away when you take the site out of debugging mode.

For one thing, it means your server is running PHP 5.3, the latest version. set_magic_quotes_runtime() has only just been deprecated in this version of PHP, and Txp hasn’t caught up yet. It also means your server defaults to magic_quotes_runtime enabled, otherwise you wouldn’t see this notice.

Actually, the entire magic_quotes feature has been deprecated, and good riddance. In my experience it’s unusual to find it enabled.


Txp tags not doing what you expect? Learn to use a tag trace. And the Tag Reference.

Offline

#3 2010-02-08 22:31:34

gaup
Member
Registered: 2006-12-03
Posts: 37

Re: Error message

Ok, i believe I have resolved this problem now. But, I got this message from my host: ok, magic_quotes_runtime is deprecated as of php 5.3 (this means that it will still work, but this is the last version of php that it will work in) . you can add an @ sign before line 14 of the php file that the error is on to hide this message.
Does this mean that textpattern have not upgrated to php 5.3?

Offline

#4 2010-02-08 23:26:25

jsoo
Developer
From: NC, USA
Registered: 2004-11-15
Posts: 1,730
Website

Re: Error message

Txp works fine on PHP 5.3. magic_quotes_runtime is going to disappear from PHP at the same time that set_magic_quotes_runtime() does, so there’s no problem, now or later, with Txp.

To get rid of the notice you could add the error suppression operator (@) as suggested but that is, even if only in a very small way, hacking the core, meaning you would have to do this on every Txp upgrade. A better solution is to disable magic_quotes_runtime on your server, assuming you don’t have any other software that relies on it. If you have access to your php.ini you can do this yourself, otherwise you will have to get your hosting provider to do it for you. And depending on your hosting arrangement, they may say no.

Edit: I think you can also set this by adding the following line to your .htaccess file:

php_value magic_quotes_runtime 0

Last edited by jsoo (2010-02-08 23:29:29)


Txp tags not doing what you expect? Learn to use a tag trace. And the Tag Reference.

Offline

#5 2010-09-13 06:28:16

wet
Developer
From: Lenzing, Austria
Registered: 2005-06-06
Posts: 3,115
Website

Re: Error message

This issue has been fixed in revision 3389.

Offline

#6 2010-11-26 23:42:43

gomedia
Plugin Author
Registered: 2008-06-01
Posts: 916
Website

Re: Error message

Just for the record – I’ve recently upgraded my local development environment to 5.3.1 & started to see the following in a TXP 4.0.8 site:

Deprecated: Function set_magic_quotes_runtime() is deprecated in ..../textpattern/lib/txplib_db.php on line 14

and in its admin interface:

Deprecated: Function set_magic_quotes_runtime() is deprecated in ..../textpattern/lib/txplib_db.php on line 14
Deprecated: Function split() is deprecated in ..../textpattern/include/txp_auth.php on line 144

The only way I could stop these error messages from being output was to use the error suppression operator (@).

In the Diagnostics tab I’m also seeing:

Notice: Undefined index: JPG Support in ..../textpattern/include/txp_diag.php on line 398

but that’s less of a problem.

Offline

#7 2010-11-26 23:47:41

gomedia
Plugin Author
Registered: 2008-06-01
Posts: 916
Website

Re: Error message

… and in the Images tab:

Notice: Undefined index: JPG Support in ..../textpattern/include/txp_image.php on line 860

Offline

#8 2010-11-28 03:06:10

gomedia
Plugin Author
Registered: 2008-06-01
Posts: 916
Website

Re: Error message

JPG Support error message noted here.

Offline

#9 2012-06-13 17:08:13

Bastian84
New Member
Registered: 2012-06-13
Posts: 2

Re: Error message

I have the same problem… my hoster has upgraded the php version to php5.3 and now I have to problems

First:
…textpattern/lib/txplib_db.php on line 14
I`ve tried to made it like written in prevoius posts but it dosn`t work
website: www.immobilien-vorndamme.de

Second:
Image Gallery – under http://www.immobilien-vorndamme.de/verkauf-eigentumswohnungen/wohnung-maisonette-moerfelden-walldorf-1a-lage-kauf
will normaly shown pictures which I assigned to it

Could please anyboday help with this issue? I like textpattern so much and dont want to change….
I will also pay for it!

Many thanks in advance for your help! All the best from Frankfurt/ Germany

Offline

#10 2012-06-13 20:04:38

Gocom
Developer
Registered: 2006-07-14
Posts: 4,476
Website

Re: Error message

Bastian84 wrote:

I have the same problem… my hoster has upgraded the php version to php5.3 and now I have to problems

Latest Textpattern release has no problems with PHP 5.3. Due to that and various security related fixes, you should update your Textpattern installation to the latest version (v4.4.1).

The current Textpattern version your site in question is using is 4.0.4 which was released in 2008. Such an old version, v4.0.4, is affected by number of publicly known vulnerabilities that have been since then fixed. One those vulnerabilities allows an attacker to remotely execute any code on your server and taking full control of it.


Rah-plugins | What? I’m a little confused… again :-) <txp:is_god />

Offline

Board footer

Powered by FluxBB